Package ghidra.pty.local

# Class LocalWindowsNativeProcessPtySession

java.lang.Object
ghidra.pty.local.LocalWindowsNativeProcessPtySession

All Implemented Interfaces:
  `PtySession`

public class LocalWindowsNativeProcessPtySession extends Object implements PtySession

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalWindowsNativeProcessPtySession(int pid, int tid, Handle processHandle, Handle threadHandle, String ptyName, Handle jobHandle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `description()`
  Get a human-readable description of the session
  `void`
  `destroyForcibly()`
  Take the greatest efforts to terminate the session (leader and descendants)
  `protected int`
  `doWaitExited(int millis)`
  `int`
  `waitExited()`
  Wait for the session leader to exit, returning its optional exit status code
  `int`
  `waitExited(long timeout, TimeUnit unit)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocalWindowsNativeProcessPtySession

    public LocalWindowsNativeProcessPtySession(int pid, int tid, Handle processHandle, Handle threadHandle, String ptyName, Handle jobHandle)

- ## Method Details

  - ### doWaitExited

    protected int doWaitExited(int millis) throws TimeoutException
    Throws:
      `TimeoutException`

  - ### waitExited

    public int waitExited()
    Description copied from interface: `PtySession`
    Wait for the session leader to exit, returning its optional exit status code
    Specified by:
      `waitExited` in interface `PtySession`
    Returns:
      the status code, if applicable and implemented

  - ### waitExited

    public int waitExited(long timeout, TimeUnit unit) throws TimeoutException
    Specified by:
      `waitExited` in interface `PtySession`
    Throws:
      `TimeoutException`

  - ### destroyForcibly

    public void destroyForcibly()
    Description copied from interface: `PtySession`
    Take the greatest efforts to terminate the session (leader and descendants)

    If this represents a remote session, this should strive to release the remote resources consumed by this session. If that is not possible, this should at the very least release whatever local resources are used in maintaining and controlling the remote session.

    Specified by:
      `destroyForcibly` in interface `PtySession`

  - ### description

    public String description()
    Description copied from interface: `PtySession`
    Get a human-readable description of the session
    Specified by:
      `description` in interface `PtySession`
    Returns:
      the description